package com.midea.epm.platform.util.categoryReport;

import com.grapecity.documents.excel.Workbook;
import com.midea.epm.platform.util.ResultSet.GcMockResultSet;

import java.io.InputStream;


public class Main {

    public static void main(String[] args) throws Exception {
        		//create a new workbook
		Workbook workbook = new Workbook();
		//Load template file from resource
		InputStream templateFile = getResourceStream("xlsx/Template_Category_ResultSet.xlsx");
		workbook.open(templateFile);
		
		//Here in the demo, we use a mock class to generate instance of java.sql.ResultSet.
		//User who use template in product, must get instance of java.sql.ResultSet from the 
		//related database connection.
		java.sql.ResultSet datasource = new GcMockResultSet(getResourceStream("data/category.csv"));
		
		//Init template global settings
		workbook.getNames().add("TemplateOptions.KeepLineSize", "true");
		
		//Add data source
		workbook.addDataSource("ds", datasource);
		//Invoke to process the template
		workbook.processTemplate();
			
		//save to an excel file
		workbook.save("category.xlsx");

    }

    private static InputStream getResourceStream(String resource) throws Exception{
    return Main.class.getClassLoader().getResourceAsStream(resource);
}


}
